Loading...
Searching...
No Matches
rpmlib.h File Reference
I/O » Command Line API. | I/O » RPMRC. | I/O » Database API. | Building & signing packages: » Signature Tags API. | Querying package headers: » Header API.
`#include <rpm/rpmio.h>`
`#include <rpm/header.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmds.h>`
`#include <rpm/rpmver.h>`
Include dependency graph for rpmlib.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Variables

struct rpmMacroContext_s * | rpmGlobalMacroContext
struct rpmMacroContext_s * | rpmCLIMacroContext
const char *const | RPMVERSION
const char *const | rpmNAME
const char *const | rpmEVR
const int | rpmFLAGS

## RPMRC

#define | RPM_MACHTABLE_COUNT 4
enum | rpm_machtable_e { RPM_MACHTABLE_INSTARCH = 0 , RPM_MACHTABLE_INSTOS = 1 , RPM_MACHTABLE_BUILDARCH = 2 , RPM_MACHTABLE_BUILDOS = 3 }
int | rpmReadConfigFiles (const char *file, const char *target)
void | rpmGetArchInfo (const char **name, int *num)
int | rpmGetArchColor (const char *arch)
void | rpmGetOsInfo (const char **name, int *num)
int | rpmMachineScore (int type, const char *name)
int | rpmShowRC (FILE *fp)
void | rpmFreeRpmrc (void)
int | rpmVersionCompare (Header first, Header second)
rpmRC | headerCheck (rpmts ts, const void *uh, size_t uc, char **msg)
rpmRC | rpmReadHeader (rpmts ts, FD_t fd, Header *hdrp, char **msg)
rpmRC | rpmReadPackageFile (rpmts ts, FD_t fd, const char *fn, Header *hdrp)
rpmRC | rpmInstallSourcePackage (rpmts ts, FD_t fd, char **specFilePtr, char **cookie)

## Detailed Description

In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not.

## Macro Definition Documentation

## RPM_MACHTABLE_COUNT

#define RPM_MACHTABLE_COUNT 4

No. of arch/os tables.

## Function Documentation

## rpmInstallSourcePackage()

rpmRC rpmInstallSourcePackage | ( | rpmts | ts,
|  | FD_t | fd,
|  | char ** | specFilePtr,
|  | char ** | cookie )

Install source package.

Parameters

  | ts | transaction set
  | fd | file handle
  [out] | specFilePtr | address of spec file name (or NULL)
  [out] | cookie | address of cookie pointer (or NULL)

Returns
  rpmRC return code

## rpmVersionCompare()

int rpmVersionCompare | ( | Header | first,
|  | Header | second )

Compare headers to determine which header is "newer".

Parameters

  first | 1st header
  second | 2nd header

Returns
  result of comparison